Bug 44035 - Group affiliation not always loaded correctly
Summary: Group affiliation not always loaded correctly
Status: NEW
Alias: None
Product: Lenya
Classification: Unclassified
Component: Access Control (show other bugs)
Version: 1.2.5
Hardware: Other other
: P2 critical
Target Milestone: 2.0.1
Assignee: Lenya Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-06 08:25 UTC by Andreas Hartmann
Modified: 2009-07-28 11:44 UTC (History)
0 users



Attachments
Initialize user and IP range managers when Group.getMembers() is called. (3.55 KB, patch)
2007-12-06 08:28 UTC, Andreas Hartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Hartmann 2007-12-06 08:25:01 UTC
Sometimes group.getMembers() returns an empty array, even if some users are
assigned groups. This happens when the getMembers() method is called before the
user and IP range managers are initialized.
Comment 1 Andreas Hartmann 2007-12-06 08:26:52 UTC
Fixed in revision 601779 in the Shibboleth integration branch. Needs to be
applied to the 1.2.x branch and to the trunk as well.
Comment 2 Andreas Hartmann 2007-12-06 08:28:00 UTC
Created attachment 21239 [details]
Initialize user and IP range managers when Group.getMembers() is called.
Comment 3 Richard Frovarp 2009-07-15 14:10:56 UTC
This patch does not fix the problem in trunk. If it is applied to trunk, it somehow is preventing the groups from being added to the user, causing them not to be able to login at all. I know that this has hit occasionally at the place I used to work. The only way around it is to restart Tomcat and hope it doesn't happen to a different publication.
Comment 4 Rudolf Korhummel 2009-07-28 11:44:18 UTC
(In reply to comment #3)
An other workaround is to add a new user at the filesystem level . You can copy  a [USER].iml file to the config/access-control/passwd folder of the publication, login with this username and assign the missing groups to the existing users.   
Assigning the groups to the existing users works only in lenya 2.x, but in lenya 1.2.x you can work with the new user until the system is restarted.